blaze-markup-0.8.3.0: A blazingly fast markup combinator library for Haskell

Safe Haskell | None
Language | Haskell2010

Text.Blaze.Renderer.Text

Description

A renderer that produces a lazy `Text` value, using the Text Builder.

Synopsis

- renderMarkupBuilder :: Markup -> Builder
- renderMarkupBuilderWith :: (ByteString -> Text) -> Markup -> Builder
- renderMarkup :: Markup -> Text
- renderMarkupWith :: (ByteString -> Text) -> Markup -> Text
- renderHtmlBuilder :: Markup -> Builder
- renderHtmlBuilderWith :: (ByteString -> Text) -> Markup -> Builder
- renderHtml :: Markup -> Text
- renderHtmlWith :: (ByteString -> Text) -> Markup -> Text

# Documentation

renderMarkupBuilder :: Markup -> Builder Source #

Render markup to a text builder

renderMarkupBuilderWith Source #

Arguments

:: (ByteString -> Text) | Decoder for bytestrings
-> Markup | Markup to render
-> Builder | Resulting builder

Render some `Markup` to a Text `Builder`.

renderMarkup :: Markup -> Text Source #

Render markup to a lazy Text value. If there are any ByteString's in the input markup, this function will consider them as UTF-8 encoded values and decode them that way.

renderMarkupWith Source #

Arguments

:: (ByteString -> Text) | Decoder for ByteString's.
-> Markup | Markup to render
-> Text |

Render markup to a lazy Text value. This function allows you to specify what should happen with ByteString's in the input HTML. You can decode them or drop them, this depends on the application...

renderHtmlBuilder :: Markup -> Builder Source #

Deprecated: Use renderHtmlBuilder from Text.Blaze.Html.Renderer.Text instead

renderHtmlBuilderWith Source #

Arguments

:: (ByteString -> Text) | Decoder for bytestrings
-> Markup | Markup to render
-> Builder | Resulting builder

Deprecated: Use renderHtmlBuilderWith from Text.Blaze.Html.Renderer.Text instead

renderHtml :: Markup -> Text Source #

Deprecated: Use renderHtml from Text.Blaze.Html.Renderer.Text instead

renderHtmlWith Source #

Arguments

:: (ByteString -> Text) | Decoder for ByteString's.
-> Markup | Markup to render
-> Text | Resulting lazy text

Deprecated: Use renderHtmlWith from Text.Blaze.Html.Renderer.Text instead